:SetVar Function "AUX:LocalizedText.X1"
:r $(DropFunctionScript_AUX)
create function [$(Function)]
(
   @DefaultText      $(dt_String_AUX),
   @InMainLanguage   $(dt_String_AUX) = null,
   @XLangText_1      $(dt_String_AUX) = null
)
returns $(dt_String_AUX)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# LOCALIZED TEXT (PLUS ONE ADDITIONAL LANGUAGE):
#
# === Usage: ===
# dbo.[AUX:LocalizedText.X1]( <Default text>, null, null )
# dbo.[AUX:LocalizedText.X1]( <Default text>, <Text in main language>, null )
# dbo.[AUX:LocalizedText.X1]( <Default text>, <Text in main language>, <Local text-1> )
#
==================================================================================================*/
return dbo.[AUX:LocalizedText.X2]( @DefaultText, @InMainLanguage, @XLangText_1, null )
/*================================================================================================*/
END
GO
/*
select dbo.[AUX:LocalizedText.X1]( N'Привет!', null, null ) 'Greeting'
select dbo.[AUX:LocalizedText.X1]( 'Hello!', N'Привет!', null ) 'Greeting'
*/
